Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.bcp.protocol.v2
Class Key

    java.lang.Object
      be.fgov.ehealth.bcp.protocol.v2.Key

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:57:48+01:00",
               comments="JAXB RI v2.2.11")
    public class Key

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="Tranform" use="required">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <enumeration value="xslt"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="Inline" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Key()`

Method Summary
`String` | `getTranform()` Gets the value of the tranform property.
`String` | `getValue()` Gets the value of the value property.
`boolean` | `isInline()` Gets the value of the inline property.
`void` | `setInline(boolean value)` Sets the value of the inline property.
`void` | `setTranform(String value)` Sets the value of the tranform property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Key

    public Key()

Method Detail

### getValue

    public String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getTranform

    public String getTranform()

  Gets the value of the tranform property.

  Returns:
    possible object is `String`

### setTranform

    public void setTranform(String value)

  Sets the value of the tranform property.

  Parameters:
    `value` - allowed object is `String`

### isInline

    public boolean isInline()

  Gets the value of the inline property.

### setInline

    public void setInline(boolean value)

  Sets the value of the inline property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.